## libjs-sifter.js 0.6.0+dfsg

=== Makefile ===
.PHONY: compile test test-ci release benchmark

MOCHA=node_modules/.bin/mocha
COVERALLS=node_modules/.bin/coveralls
_MOCHA=node_modules/.bin/_mocha
ISTANBUL=node_modules/.bin/istanbul
UGLIFYJS=node_modules/.bin/uglifyjs

OUT=sifter.js
OUT_MIN=sifter.min.js
BANNER=/*! sifter.js | https://github.com/brianreavis/sifter.js | Apache License (v2) */

all: compile

benchmark:
	node --expose-gc benchmark/index.js

test:
	$(MOCHA) -R list

test-ci:
	$(MOCHA) -R tap

test-ci-coverage:
	@rm -rf coverage
	$(ISTANBUL) cover $(_MOCHA) --report lcovonly -- -R tap

	@echo
	@echo Sending report to coveralls.io...
	@cat ./coverage/lcov.info | $(COVERALLS)
	@rm -rf ./coverage
	@echo Done

compile:
	@cp lib/sifter.js sifter.js
	$(UGLIFYJS) --mangle -b beautify=false,ascii_only=true --output $(OUT_MIN) $(OUT)
	@echo "$(BANNER)" | cat - $(OUT_MIN) > temp && mv temp $(OUT_MIN)

	@echo "`cat $(OUT_MIN) | gzip -9f | wc -c` bytes (gzipped)"

release:
ifeq ($(strip $(version)),)
	@echo "\033[31mERROR:\033[0;39m No version provided."
	@echo "\033[1;30mmake release version=1.0.0\033[0;39m"
else
	sed -i.bak 's/"version": "[^"]*"/"version": "$(version)"/' package.json
	sed -i.bak 's/"version": "[^"]*"/"version": "$(version)"/' bower.json
	rm *.bak
	make compile
	git add .
	git commit -a -m "Released $(version)."
	git tag v$(version)
	git push origin master
	git push origin --tags
	npm publish
	@echo "\033[32mv${version} released\033[0;39m"
endif

## libjs-sifter.js 0.5.1%2Bdfsg

=== debian/control ===
Source: libjs-sifter.js
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Sergio Durigan Junior <sergiodj@sergiodj.net>
Build-Depends: debhelper (>=9), yui-compressor, mocha
Standards-Version: 3.9.8
Homepage: https://github.com/brianreavis/sifter.js
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/libjs-sifter.js.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/libjs-sifter.js.git

Package: libjs-sifter.js
Architecture: all
Depends: ${misc:Depends}
Description: Library for textually searching arrays and hashes of objects
 Sifter is a client and server-side library (via UMD) for textually
 searching arrays and hashes of objects by property – or multiple
 properties. It's designed specifically for autocomplete. The process
 is three-step: score, filter, sort.
 .
  * Supports díåcritîçs.
 .
    For example, if searching for "montana" and an item in the set has
    a value of "montaña", it will still be matched. Sorting will also
    play nicely with diacritics.
 .
  * Smart scoring.
 .
     Items are scored / sorted intelligently depending on where a
     match is found in the string (how close to the beginning) and
     what percentage of the string matches.
 .
  * Multi-field sorting.
 .
     When scores aren't enough to go by – like when getting results
     for an empty query – it can sort by one or more fields. For
     example, sort by a person's first name and last name without
     actually merging the properties to a single string.
 .
  * Nested properties.
 .
     Allows one to search and sort on nested properties so you can
     perform search on complex objects without flattening them simply
     by using dot-notation to reference fields (ie. nested.property).

## libjs-sifter.js 0.5.1+dfsg

=== debian/changelog ===
libjs-sifter.js (0.5.1+dfsg-2) unstable; urgency=medium

  * A few fixes on d/copyright.
    Fixing Upstream-Name, and adding Files-Excluded.

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Fri, 19 Aug 2016 22:56:19 -0400

libjs-sifter.js (0.5.1+dfsg-1) unstable; urgency=medium

  * Initial release for libjs-sifter.js. (Closes: #834466)

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Mon, 15 Aug 2016 19:52:04 -0400

## libjs-sifter.js 0.5.2+dfsg

=== debian/changelog ===
libjs-sifter.js (0.5.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.5.2+dfsg.
  * Change the section to "javascript".
  * Use Multi-Arch: foreign.
  * Bump standards to 4.0.1.

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Thu, 10 Aug 2017 22:00:30 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: libjs-sifter.js
-Section: web
+Section: javascript
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Sergio Durigan Junior <sergiodj@sergiodj.net>
 Build-Depends: debhelper (>=9), yui-compressor, mocha
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://github.com/brianreavis/sifter.js
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/libjs-sifter.js.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/libjs-sifter.js.git
@@ -12,6 +12,7 @@
 Package: libjs-sifter.js
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Library for textually searching arrays and hashes of objects
  Sifter is a client and server-side library (via UMD) for textually
  searching arrays and hashes of objects by property – or multiple

## libjs-sifter.js 0.5.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Sergio Durigan Junior <sergiodj@sergiodj.net>
 Build-Depends: debhelper (>=9), yui-compressor, mocha
-Standards-Version: 4.0.1
+Standards-Version: 4.1.2
 Homepage: https://github.com/brianreavis/sifter.js
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/libjs-sifter.js.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/libjs-sifter.js.git

## libjs-sifter.js 0.5.3+dfsg

=== debian/changelog ===
libjs-sifter.js (0.5.3+dfsg-1) unstable; urgency=medium

  * New upstream version 0.5.3+dfsg
  * Bump Standards-Version to 4.1.2.
  * Update years on d/copyright.

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Fri, 08 Dec 2017 21:35:53 -0500

## libjs-sifter.js 0.6.0+dfsg

=== debian/changelog ===
libjs-sifter.js (0.6.0+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 22 Nov 2022 21:31:00 +0000

libjs-sifter.js (0.6.0+dfsg-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Debian Janitor <janitor@jelmer.uk>  Sun, 29 Aug 2021 02:28:24 +0100

libjs-sifter.js (0.6.0+dfsg-1) unstable; urgency=medium

  * Update Vcs-* URLs to use salsa.
  * New upstream version 0.6.0+dfsg.
  * Update my email address.
  * Update Standards-Version to 4.5.0.
  * Use debhelper-compat 12.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 18 Feb 2020 22:38:41 -0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: javascript
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Sergio Durigan Junior <sergiodj@sergiodj.net>
-Build-Depends: debhelper (>=9), yui-compressor, mocha
-Standards-Version: 4.1.2
+Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
+Build-Depends: debhelper-compat (= 13), yui-compressor, mocha
+Standards-Version: 4.5.1
 Homepage: https://github.com/brianreavis/sifter.js
-Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/libjs-sifter.js.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/libjs-sifter.js.git
+Vcs-Git: https://salsa.debian.org/js-team/libjs-sifter.js.git
+Vcs-Browser: https://salsa.debian.org/js-team/libjs-sifter.js
 
 Package: libjs-sifter.js
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	yui-compressor -o lib/sifter.min.js lib/sifter.js

override_dh_auto_clean:
	dh_clean
	rm -f lib/sifter.min.js
